import LicenseSpring

import SwiftUI

struct LicenseView: View {
    let manager: LicenseManaging?
    let license: License?
    
    @EnvironmentObject private var viewUpdater: ViewUpdaterHack
    
    var body: some View {
        HStack {
            VStack {
                LicenseGeneralInfoView(manager: manager, license: license)
                Spacer()
            }
            VStack {
                LicenseAdditionalInfoView(license: license)
                Spacer()
            }
        }
        .padding()
    }
}

struct LicenseView_Previews: PreviewProvider {
    static var previews: some View {
        LicenseView(manager: nil, license: nil)
    }
}
